package easydo.technology.controller;

import easydo.technology.model.QualityInspectProgram;
import easydo.technology.service.QualityInspectProgramService;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/qualityInspectProgram")
public class QualityInspectProgramController {

    @Resource
    QualityInspectProgramService qualityInspectProgramService;

    @RequestMapping(value = "/getList")
    public Object getList(@RequestBody Map<String, Object> map) throws Exception {
        Object list = qualityInspectProgramService.getList(map);
        return new ResponseEntity<>(list, HttpStatus.OK);
    }

    @RequestMapping(value = "/getPage")
    public Object getPage(@RequestBody Map<String, Object> map) throws Exception {
        Object page = qualityInspectProgramService.getPage(map);
        return new ResponseEntity<>(page, HttpStatus.OK);
    }

    @RequestMapping(value = "/save")
    public Object save(@RequestBody QualityInspectProgram model) throws Exception {
        Object result = qualityInspectProgramService.save(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @RequestMapping(value = "/update")
    public Object update(@RequestBody QualityInspectProgram model) throws Exception {
        Object result = qualityInspectProgramService.update(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @RequestMapping(value = "/remove")
    public Object remove(@RequestBody QualityInspectProgram model) throws Exception {
        Object result = qualityInspectProgramService.remove(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }
}
